using System;

namespace InABox.Core
{
    public class DocumentTypeLink : EntityLink<DocumentType>
    {
        [LookupEditor(typeof(DocumentType))]
        public override Guid ID { get; set; }

        [CodeEditor(Visible = Visible.Default)]
        public string Code { get; set; }

        [TextBoxEditor(Visible = Visible.Optional, Editable = Editable.Hidden)]
        public string Description { get; set; }
    }
}